Subject: Re: [PATCH 3/3] printk: implement support for extended console drivers

From: [email-masked]
Date: Mon, 29 Jun 2015 09:50:00 -0700

On Mon, Jun 29, 2015 at 12:13:55PM -0400, Tejun Heo wrote:
> On Mon, Jun 29, 2015 at 06:11:40PM +0200, Geert Uytterhoeven wrote:
> > On Mon, Jun 29, 2015 at 5:49 PM, Tejun Heo <[email-masked]> wrote:
> > > On Mon, Jun 29, 2015 at 05:47:49PM +0200, Geert Uytterhoeven wrote:
> > >> > netconsole itself is optional & modular.  I'm not sure making further
> > >> > splits is called for, especially given the use cases.
> > >>
> > >> It could be a hidden option, selected by its users (e.g. netconsole).
> > >
> > > Hmmm... what do you mean?
> > 
> > init/Kconfig:
> > 
> >         config PRINTK_EXT_LOG
> >                 bool
> > 
> > drivers/net/Kconfig:
> > 
> >         config NETCONSOLE
> >                 tristate "Network console logging support"
> >                 select PRINTK_EXT_LOG
> > 
> > kernel/printk/printk.c:
> > 
> >         void console_unlock(void)
> >         {
> > #ifdef CONFIG_PRINTK_EXT_LOG
> >                 static char ext_text[CONSOLE_EXT_LOG_MAX];
> > #endif
> 
> OIC, hmmm... yeah, I think doing it on-demand would be better but will
> try to find out which way is better.

Allocating the buffer dynamically is fine, but in that case the code to
do so should ideally be compiled out.  Since printk is used by almost
*all* kernels, while netconsole is not, it's more critical to avoid
allowing printk's size to balloon.

- Josh Triplett